VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.Geometry.IGeoContainer< T > Interface Template Reference

Interface for geometric container. More...

Inheritance diagram for VisiMath.Geometry.IGeoContainer< T >:

List of all members.

## Public Member Functions
void | Add (T geoobject)
| Adds new object to the container.
## Properties
T | this[int index]`[get, set]`
| Indexing acessors for object.
int | Count`[get]`
| Number of the objects in the container.

## Detailed Description

### template<T>
interface VisiMath::Geometry::IGeoContainer< T >

Interface for geometric container.

Template Parameters:

  T | Type of the contained geometry

Type Constraints

  T | : | IGeometry |

## Member Function Documentation

template<T >

void VisiMath.Geometry.IGeoContainer< T >.Add | ( | T | geoobject | ) |

Adds new object to the container.

Parameters:

  geoobject | new object to add

Implemented in VisiMath.Geometry.GeoContainer< T >.

## Property Documentation

template<T >

int VisiMath.Geometry.IGeoContainer< T >.Count`[get]`

Number of the objects in the container.

Implemented in VisiMath.Geometry.GeoContainer< T >, VisiMath.Geometry.IndexedLines, VisiMath.Geometry.IndexedMesh, VisiMath.Geometry.IndexedQuads, VisiMath.Geometry.LineList, VisiMath.Geometry.PolyLine, VisiMath.Geometry.Point3DList, VisiMath.Geometry.QuadList, and VisiMath.Geometry.TriangleList.

template<T >

T VisiMath.Geometry.IGeoContainer< T >.this[int index]`[get, set]`

Indexing acessors for object.

Parameters:

  index | index of object

Returns:
  Geoobject

Implemented in VisiMath.Geometry.GeoContainer< T >, VisiMath.Geometry.IndexedLines, VisiMath.Geometry.IndexedMesh, VisiMath.Geometry.IndexedQuads, VisiMath.Geometry.LineList, VisiMath.Geometry.PolyLine, VisiMath.Geometry.Point3DList, VisiMath.Geometry.QuadList, and VisiMath.Geometry.TriangleList.

The documentation for this interface was generated from the following file:

- GeoContainer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events